package com.esv.freight.file.common.util;

import lombok.extern.slf4j.Slf4j;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import org.springframework.boot.test.context.SpringBootTest;

/**
 * @description:
 * @project: freight-file-service
 * @name: com.esv.freight.file.common.util.AESSecretUtilsTest
 * @author: 黄朝斌
 * @email: huangchaobin@esvtek.com
 * @createTime: 2020/04/14 18:54
 * @version:1.0
 */
@SpringBootTest
@Slf4j
public class AESSecretUtilsTest {

    @Before
    public void before() {
        log.info("=================================== Test Start ===================================");
    }

    @After
    public void after() {
        log.info("=================================== Test End ===================================");
    }

    @Test
    public void encryptToStr() {
        String str = "esv,5e956fd9f99e9e34386fdc7f," + System.currentTimeMillis();
        System.out.println(AESSecretUtils.encryptToStr(str, "freight-file-servie-3.1415926535"));
    }
}
